<?php
	
	session_start();
		if($_SESSION['tipo_usu']=='a'  or $_SESSION['tipo_usu']=='c' ){

		}else{

			header('location:acceso_denegado.php');

		}
	
		
?>


<?php
include ("../conexion.php");
include ("../funciones/fechas.php");

$cdgpro = $_POST["cdgpro"];
$dscpro = strtoupper($_POST["dscpro"]);
$numrec = $_POST["numrec"];


$fechainicio=$_POST["fechainicio"];
$fechafin=$_POST["fechafin"];

$fechainicio= implode("-", array_reverse(explode("-", $fechainicio))); 
$fechafin= implode("-", array_reverse(explode("-", $fechafin))); 

$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";
if ($cdgpro <> "") { $where.=" AND pagos_proveedores.cdgpro='$cdgpro'"; }
if ($dscpro <> "") { $where.=" AND proveedores.dscpro like '%".$dscpro."%'"; }
if ($numrec <> "") { $where.=" AND pagos_proveedores.numrec='$numrec'"; }


if (($fechainicio<>"") and ($fechafin<>"")) {
	 $where.=" AND  pagos_proveedores.fecrec between '".$fechainicio."' AND '".$fechafin."'";
} else {
	if ($fechainicio<>"") {
	 	$where.=" AND  pagos_proveedores.fecrec>='".$fechainicio."'";
	} else {
		if ($fechafin<>"") {
		$where.=" AND  pagos_proveedores.fecrec<='".$fechafin."'";
		}
	}
}

$where.=" ORDER BY numrec DESC";

if ($result = $mysqli->query("SELECT * FROM pagos_proveedores,proveedores WHERE  pagos_proveedores.cdgpro=proveedores.cdgpro AND ".$where )) {
   $filas = $result->num_rows;
   $result->close();
}


?>
<html>
	<head>
		<title>Proveedores</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		
		colorfondo;
		
		function Ver_Recibo(numrec) {
			parent.location.href="Ver_Recibo.php?numrec=" + numrec ;
		}
		
		function modificar_proforma(numrec,marcaestrec) {
			if (marcaestrec==1) {
				parent.location.href="modificar_proforma.php?numrec=" + numrec ;
			} else {
				alert ("No puede modificar una factura ya pagada.");
			}
		}
		
		function Eliminar_Recibo(numrec,estrec) {
				if (estrec==1) {
				if (confirm("Esta seguro de anular el recibo ?")) {
				parent.location.href="Eliminar_Recibo.php?numrec=" + numrec ;
			} 
			} else {
				alert ("Error, el recibo ya se encuentra anulado");
			}
		}
		

		function Imprimir(numrec,estrec) {
				if (estrec==1) {
				if (confirm("Desea reimprimir el siguiente recibo ?")) {
				window.open("../fpdf/imprimir_recibo_proveedor.php?numrec="+numrec);
			} 
			} else {
				alert ("Error, el recibo no puede ser impreso, ya fue anulado verifique");
			}
		}
		

		

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totalrecibos.value=document.getElementById("totalrecibos").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
		</script>
	</head>

	<body onload=inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente9" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totalrecibos" id="totalrecibos" value="<?php echo $totalrecibos?>">
				<?php
					if ($filas > 0) { 
					
$consulta = "SELECT numrec,proveedores.dscpro as dscpro,proveedores.cdgpro as cdgpro,pagos_proveedores.fecrec as fecrec,montot,estrec,numrec FROM pagos_proveedores,proveedores WHERE  pagos_proveedores.cdgpro=proveedores.cdgpro AND ".$where ;
$contador=0;
if ($resultado = $mysqli->query($consulta)) 

 
    while ($fila = $resultado->fetch_assoc()) {
        $marcaestrec = $fila["estrec"];
        $fecrec = $fila["fecrec"];
		$numrec = $fila["numrec"];
		$cdgpro = $fila["cdgpro"];
		$dscpro = $fila["dscpro"];
		$montot = $fila["montot"];	
		//$salact = $fila["salact"];
		//$obsfac = $fila["obsfac"];		
		
		
		$fecrec= implode("-", array_reverse(explode("-",   $fecrec))); 		

		
		if ($marcaestrec  == 1) { $estrec="OK"; } else { $estrec="NULO"; } 
		if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
		<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >

								<td class="" width="2%"><?php $contador+1;?></td>
								<td width="9%"><div align="center"><?php echo $numrec?></div></td>
								<td width="8%"><div align="center"><?php echo $cdgpro?></div></td>	
                                <?php $acotado = substr($dscpro, 0, 37);?>
								<td width="30%"><div align="left"><?php echo $acotado?></div></td>	
								<td width="13%"><div align="center"><?php echo $fecrec?></div></td>	
								<td width="11%"><div align="center"><?php echo $estrec ?></div></td>							
								<td width="10%"><div align="right"><?php echo number_format($montot,2,".",",")?></div></td>
								<td width="4%">&nbsp;</td>
								<td width="4%"><div align="center"><a href="#"><img src="../img/Search_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="Ver_Recibo(<?php echo $numrec ?>)" title="Visualizar"></a></div></td>
								<td width="4%"><div align="center"><a href="#"><img src="../img/Remove_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="Eliminar_Recibo(<?php echo $numrec?>, <?php echo   $marcaestrec ?>)" title="Anular Recibo"></a></div></td>
						        <td width="5%"><a href="#"><img src="../img/print-icon (5).png" alt="Imprimir" width="25" height="25" border="0" title="Reimprimir Recibo" onClick="Imprimir(<?php echo $numrec ?>, <?php echo   $marcaestrec ?>)"></a></td>
						</tr>
						</tr>	
						<?php $contador++;
							}
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo $fechainicio; echo $fechafin; echo "No hay ningun recibo que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>					
			  </div>
			</div>
		  </div>			
		</div>
	</body>
</html>
